tbb::internal::icc_intrinsics_port Namespace Reference

## Typedefs

typedef enum tbb::internal::icc_intrinsics_port::memory_order_map | memory_order_map

## Enumerations

enum | memory_order_map { relaxed = memory_order_relaxed , acquire = memory_order_acquire , release = memory_order_release , full_fence = memory_order_seq_cst }

## Functions

template<typename T >
T | convert_argument (T value)
template<typename T >
void * | convert_argument (T *value)

## Typedef Documentation

## memory_order_map

typedef enum tbb::internal::icc_intrinsics_port::memory_order_map tbb::internal::icc_intrinsics_port::memory_order_map

## Enumeration Type Documentation

## memory_order_map

enum tbb::internal::icc_intrinsics_port::memory_order_map

Enumerator
relaxed |
acquire |
release |
full_fence |

Definition at line 127 of file icc_generic.h.

{
relaxed = memory_order_relaxed,
acquire = memory_order_acquire,
release = memory_order_release,
full_fence= memory_order_seq_cst
} memory_order_map;
tbb::internal::memory_order_acquire
@ memory_order_acquire
Definition: icc_generic.h:75
tbb::internal::memory_order_seq_cst
@ memory_order_seq_cst
Definition: icc_generic.h:76
tbb::internal::memory_order_release
@ memory_order_release
Definition: icc_generic.h:76
tbb::internal::memory_order_relaxed
@ memory_order_relaxed
Definition: icc_generic.h:75
tbb::internal::icc_intrinsics_port::acquire
@ acquire
Definition: icc_generic.h:129
tbb::internal::icc_intrinsics_port::full_fence
@ full_fence
Definition: icc_generic.h:131
tbb::internal::icc_intrinsics_port::release
@ release
Definition: icc_generic.h:130
tbb::internal::icc_intrinsics_port::relaxed
@ relaxed
Definition: icc_generic.h:128
tbb::internal::icc_intrinsics_port::memory_order_map
enum tbb::internal::icc_intrinsics_port::memory_order_map memory_order_map

## Function Documentation

## convert_argument() [1/2]

template<typename T >

void* tbb::internal::icc_intrinsics_port::convert_argument | ( | T * | value | ) |

Definition at line 88 of file icc_generic.h.

{
return (void*)value;
}
value
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long value
Definition: ittnotify_static.h:192

References value.

## convert_argument() [2/2]

template<typename T >

T tbb::internal::icc_intrinsics_port::convert_argument | ( | T | value | ) |

Definition at line 81 of file icc_generic.h.

{
return value;
}

References value.

Referenced by tbb::internal::machine_load_store_relaxed< T, S >::store(), and tbb::internal::machine_load_store< T, S >::store_with_release().

Here is the caller graph for this function:

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.